unit uViewConfiguracionDocVarios;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewConfiguracionBase, cxControls, cxContainer, cxEdit, cxTextEdit, cxMemo,
  cxRichEdit, uViewBase, JvExControls, JvGradientHeaderPanel, StdCtrls, ExtCtrls,
  ComCtrls;

type
  TfrViewConfiguracionDocVarios = class(TfrViewConfiguracionBase)
    PageControl1: TPageControl;
    pagNotas: TTabSheet;
    pagCondiciones: TTabSheet;
    Label1: TLabel;
    Label2: TLabel;
    Label4: TLabel;
    ePlazosEntrega: TMemo;
    eFormaPago: TMemo;
    eObservaciones: TMemo;
    eCondiciones: TcxRichEdit;
    pagCalidades: TTabSheet;
    eCalidades: TcxRichEdit;
  public
    class function GetViewClass : TClass; override;
    class function DarEtiqueta : String; override;
    procedure CargarValores; override;
    procedure GuardarValores; override;
  end;

var
  frViewConfiguracionDocVarios: TfrViewConfiguracionDocVarios;

implementation
{$R *.dfm}
{ TfrViewConfiguracionDocVARIOS }

uses uFactuGES_App, uConfiguracionController, uPresupuestosClienteController;

procedure TfrViewConfiguracionDocVarios.CargarValores;
begin
  inherited;
  eFormaPago.Lines.Clear;
  eFormaPago.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_FORMA_PAGO_VARIOS);
  ePlazosEntrega.Lines.Clear;
  ePlazosEntrega.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_PLAZOS_ENTREGA_VARIOS);
  eObservaciones.Lines.Clear;
  eObservaciones.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_OBSERVACIONES_VARIOS);

  eCalidades.Lines.Clear;
  eCalidades.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_CALIDADES_VARIOS);

  eCondiciones.Lines.Clear;
  eCondiciones.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_CONDICIONES_VARIOS);
end;

class function TfrViewConfiguracionDocVarios.DarEtiqueta: String;
begin
  Result := 'Documentos varios';
end;

class function TfrViewConfiguracionDocVarios.GetViewClass: TClass;
begin
  Result := TfrViewConfiguracionDocVARIOS;
end;

procedure TfrViewConfiguracionDocVarios.GuardarValores;
begin
  inherited;
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_FORMA_PAGO_VARIOS, eFormaPago.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_PLAZOS_ENTREGA_VARIOS, ePlazosEntrega.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_OBSERVACIONES_VARIOS, eObservaciones.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_CONDICIONES_VARIOS, eCondiciones.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_CALIDADES_VARIOS, eCalidades.Text);
end;


end.
